Skip to main content
POST
/
api
/
v1
/
room
/
create
Create room
curl --request POST \
  --url https://api.noux.app/api/v1/room/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --data '
{
  "customerOrganizationName": "<string>"
}
'
{
  "roomId": "<string>",
  "editUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Noux API key from your integration settings

Headers

authorization
string
required

Bearer token with Noux API key

Body

application/json
customerOrganizationName
string
required

Customer organization name

Minimum string length: 1
externalId
string

External ID (e.g., CRM deal ID)

externalUrl
string<uri>

External URL (e.g., link to CRM deal)

customerDomain
string

Customer domain

ownerEmail
string<email>

Room owner email

templateId
string

ID of the template room to duplicate

participants
object[]

Deal participants

Response

Room created successfully

roomId
string
required

The created room ID

editUrl
string<uri>
required

URL to edit the created room